# Summary

- [xlsx](README.md#xlsx)
- [Installation](README.md#installation)
  * [JS Ecosystem Demos](README.md#js-ecosystem-demos)
  * [Optional Modules](README.md#optional-modules)
  * [ECMAScript 5 Compatibility](README.md#ecmascript-5-compatibility)
- [Parsing Workbooks](README.md#parsing-workbooks)
- [Working with the Workbook](README.md#working-with-the-workbook)
- [Writing Workbooks](README.md#writing-workbooks)
- [Interface](README.md#interface)
  * [Parsing functions](README.md#parsing-functions)
  * [Writing functions](README.md#writing-functions)
  * [Utilities](README.md#utilities)
- [Workbook / Worksheet / Cell Object Description](README.md#workbook--worksheet--cell-object-description)
  * [General Structures](README.md#general-structures)
  * [Cell Object](README.md#cell-object)
    + [Data Types](README.md#data-types)
    + [Dates](README.md#dates)
  * [Sheet Objects](README.md#sheet-objects)
  * [Worksheet Object](README.md#worksheet-object)
  * [Chartsheet Object](README.md#chartsheet-object)
  * [Workbook Object](README.md#workbook-object)
  * [Document Features](README.md#document-features)
    + [Formulae](README.md#formulae)
    + [Column Properties](README.md#column-properties)
    + [Hyperlinks](README.md#hyperlinks)
    + [Sheet Visibility](README.md#sheet-visibility)
- [Parsing Options](README.md#parsing-options)
  * [Input Type](README.md#input-type)
  * [Guessing File Type](README.md#guessing-file-type)
- [Writing Options](README.md#writing-options)
  * [Supported Output Formats](README.md#supported-output-formats)
  * [Output Type](README.md#output-type)
- [Utility Functions](README.md#utility-functions)
  * [Array of Arrays Input](README.md#array-of-arrays-input)
  * [HTML Table Input](README.md#html-table-input)
  * [Formulae Output](README.md#formulae-output)
  * [CSV and general DSV Output](README.md#csv-and-general-dsv-output)
  * [JSON](README.md#json)
- [File Formats](README.md#file-formats)
  * [Excel 2007+ XML (XLSX/XLSM)](README.md#excel-2007-xml-xlsxxlsm)
  * [Excel 2.0-95 (BIFF2/BIFF3/BIFF4/BIFF5)](README.md#excel-20-95-biff2biff3biff4biff5)
  * [Excel 97-2004 Binary (BIFF8)](README.md#excel-97-2004-binary-biff8)
  * [Excel 2003-2004 (SpreadsheetML)](README.md#excel-2003-2004-spreadsheetml)
  * [Excel 2007+ Binary (XLSB, BIFF12)](README.md#excel-2007-binary-xlsb-biff12)
  * [OpenDocument Spreadsheet (ODS/FODS) and Uniform Office Spreadsheet (UOS1/2)](README.md#opendocument-spreadsheet-odsfods-and-uniform-office-spreadsheet-uos12)
  * [dBASE and Visual FoxPro (DBF)](README.md#dbase-and-visual-foxpro-dbf)
  * [Comma-Separated Values](README.md#comma-separated-values)
  * [HTML](README.md#html)
- [Testing](README.md#testing)
  * [Tested Environments](README.md#tested-environments)
  * [Test Files](README.md#test-files)
- [Contributing](README.md#contributing)
- [License](README.md#license)
- [References](README.md#references)
- [Badges](README.md#badges)
